
package nlib.col.service.impl;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;

import nlib.col.service.CollectionVO;
import nlib.col.service.DeptVO;
import nlib.col.service.RisVO;
import nlib.restful.DataApi;
import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import egovframework.com.cmm.service.impl.EgovComAbstractDAO;
import egovframework.rte.psl.dataaccess.mapper.Mapper;
import nlib.cmm.service.NotificationVO;
import nlib.cmm.service.NlibProperty;
import nlib.user.service.NlibLoginVO;
import nlib.util.StringUtil;
@Repository("risDAO")
public class RisDAO extends EgovComAbstractDAO 
{
	private static final Logger log = LoggerFactory.getLogger(RisDAO.class);
	
	/*
	*//**
	 * 소장 자료 목록을 조회한다.
	 * 
	 * @param reqVO
	 * @return
	 *//*
	public DataApiResVO listItems(DataApiReqVO reqVO)  {
		reqVO.setReqUrl(RESOURCE_URI + "/listItems/list");
		return get(reqVO);
	}*/

	public DataApiResVO insertInterest(DataApiReqVO reqVO)  {
		return null;
	}

	public DataApiResVO reserveItem(DataApiReqVO reqVO)  {
		return null;
	}

	public DataApiResVO viewOriginalCopy(DataApiReqVO reqVO)  {
		return null;
	}

	public DataApiResVO requestViewingItem(DataApiReqVO reqVO)  {
		return null;
	}
	
	/**
	 * 소장자료를 상세 조회한다.
	 * 
	 * @param reqVO
	 * @return
	 *//*
	public DataApiResVO selectItemInfo(DataApiReqVO reqVO)  {
	}*/

	public DataApiResVO deleteInterest(DataApiReqVO reqVO)  {
		return null;
	}
	/**
	 * RIS파일 다운로드 데이터를 조회한다.
	 * @param vo
	 * @return
	 */
	public RisVO selectRisInfo(RisVO vo) {
		return selectOne("RisDAO.selectRisInfo", vo);
	}
	/**
	 * 문화원 목록 조회(검색필터용)
	 * @return
	 */
	public List<DeptVO> selectOrgList() {
		return selectList("CollectionDAO.selectOrgList");
	}

	/**
	 * 소장자료 목록 조회
	 * @param searchCollectionVO
	 * @return
	 */
	public List<CollectionVO> listItems(CollectionVO searchCollectionVO) {
		return selectList("CollectionDAO.listItems",searchCollectionVO);
	}

	/**
	 * 소장자료 목록 개수 조회
	 * @param searchCollectionVO
	 * @return
	 */
	public int countListItems(CollectionVO searchCollectionVO) {
		return selectOne("CollectionDAO.countListItems",searchCollectionVO);
	}
}